"""
Data models for AI Shell
"""

from dataclasses import dataclass
from typing import Optional

@dataclass
class Answer:
    """Response model for AI-generated shell commands"""
    success: bool
    cmd: Optional[str]
    failure: Optional[str]
